/*
	Цвет элементов #FFC930
	Замените цвет на свой вызовом функции "Найти и заменить"
*/
/*html {
    max-width: 100%;
    overflow-x: hidden;
}
body {
	overflow-x: hidden;
}*/
.wincalc {
	display: flex;
    justify-content: space-between;
	flex-wrap: wrap;
	width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}
.wincalc * {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	line-height: 1.1;
	font-family: "Helvetica Neue";
}
.wincalc img {
	max-width: none;
}
.wincalc-type-selector {
	width: 140px;  
}
.wincalc-type-selector p {
	margin-bottom: 12px;
}
.wincalc-type-selector-one {
	position: relative;
	width: 100%;
	text-align: center;
	font-size: 15px;
	font-weight: bold;
	border: 2px solid #ccc;
	margin-top: -1.7px;
	padding: 10px;
	cursor: pointer;
	transition: .3s;
}
.wincalc-type-selector-one:hover,
.wincalc-type-selector-one-selected {
	border-color: #FFC930;
	z-index: 2;
}
.wincalc-type-selector-one-selected:after {
	content: "";
	position: absolute;
	width: 14px;
	height: 14px;
	background: #fff;
	bottom: 50%;
	right: -10px;
	margin-bottom: -7px;
    transform: rotate(45deg);
    border: 2px solid #FFC930;
    border-left: none;
    border-bottom: none;
}
.wincalc-type-selector-one img {
	height: 60px;
	margin-bottom: 5px;
}
.wincalc-main-window {
	position: relative;
	margin-top: 30px;
}
.wincalc-main-window-container {
	display: flex;
    width: 570px;
    justify-content: center;
}
.wincalc-constuction-container {
	position: relative;
	display: inline-block;
}
.wincalc-constuction {
	position: relative;
}
.constuction-fon {
	position: absolute;
    display: flex;
    justify-content: center;
	width: calc(100% - 40px);
	overflow: hidden;
	margin: 35px 20px 0;
}
.wincalc-frames {
	position: absolute;
	display: flex;
	top: 0;
	transition: all .5s;
}
.wincalc-frame {
	position: relative;
	visibility: hidden;
}
.wincalc-frame-1 {
	visibility: visible;
}
.wincalc-frame img {
	transform-origin: 25px 302px;
	transform: perspective(400px);
	opacity: 0;
	transition: transform 1s, opacity .5s;
	pointer-events: none;
}
.wincalc-frame-1 img {
	opacity: 1;
}
.wincalc-frame-2 img,
.wincalc-frame-3 img {
 	transform-origin: 145px 302px;
}
.wincalc-frame-selector {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.wincalc-frame-1 .wincalc-frame-selector {
    margin-left: 7%;
}
.wincalc-frame-selector>div {
	display: flex;
    justify-content: center;
    align-items: center;
    width: 65px;
    height: 65px;
    background: #fff;
    border-radius: 50%;
    margin: 10px 0;
    cursor: pointer;
}
.wincalc-frame-selector>div:hover, 
.wincalc-frame-selector>div.wincalc-frame-selector-selected {
	background: #FFC930;
}
.wincalc-frame-selector>div svg {
	height: 42px;
}
.wincalc-frame-selector>div svg path,
.wincalc-frame-selector>div svg rect,
.wincalc-frame-selector>div svg line {
	stroke: #FFC930;
}
.wincalc-frame-selector>div:hover svg path,
.wincalc-frame-selector>div:hover svg rect,
.wincalc-frame-selector>div:hover svg line,
.wincalc-frame-selector>div.wincalc-frame-selector-selected svg path,
.wincalc-frame-selector>div.wincalc-frame-selector-selected svg rect,
.wincalc-frame-selector>div.wincalc-frame-selector-selected svg line {
	stroke: #fff;
}
.wincalc-frame-selector>div:hover,
.wincalc-frame-selector>div:hover svg path,
.wincalc-frame-selector>div:hover svg rect,
.wincalc-frame-selector>div:hover svg line {
	transition: all .3s;
}
.meter-block {
	display: none;
}
.meter-block.m-2 {
	display: block;
}
.meter_horisontal {
	position: absolute;
    width: 400px;
    left: 50%;
    bottom: 70px;
	transform: translateX(-50%);
}
.meter_vertical {
    position: absolute;
	width: 350px;
	left: -170px;
	top: 160px;
	transform: rotate(-90deg);
}
output {
	display: block;
}
.meter {
	-webkit-appearance: none;
	width: 100%;
}
.meter:focus {
	outline: none;
}
.meter::-webkit-slider-runnable-track {
	height: 3px;
	background: #FFC930;
	border-radius: 2px;
}
.meter::-moz-range-track {
	height: 3px;
	background: #FFC930;
	border-radius: 2px;
}
.meter::-webkit-slider-thumb {
	height: 17px;
	width: 17px;
	border-radius: 50%;
	background: #ccc;	
	-webkit-appearance: none;
	margin-top: -7px;
	cursor: pointer;
}
.meter::-moz-range-thumb {
	height: 17px;
	width: 17px;
	border-radius: 50%;
	background: #ccc;
	margin-top: -7px;
	cursor: pointer;
}
.wincalc-group-selector {
	width: 280px;
	font-size: 16px;
}
.wincalc-type2-selector .wincalc-type2-group {
	display: flex;
	flex-direction: column;
    justify-content: center;
	border: 1px solid #ccc;
	height: 245px;
	padding: 0 15px;
	margin: 10px 0;	
}
.wincalc-type2-selector .wincalc-type2-group input, 
.wincalc-options>div>div>input  {
	display: none;
}
.wincalc-type2-selector .wincalc-type2-group label, 
.wincalc-options>div>label {
	position: relative;
	display: block;
	width: 100%;
	font-size: 16px;
	font-weight: bold;
	padding: 6px 0 0 25px;
	margin-bottom: 10px;
	margin-right: 10px;
	cursor: pointer;
} 
.wincalc-options>div>label {
	margin-bottom: 5px;
	margin-right: 0;
}
.wincalc-type2-selector .wincalc-type2-group label:before, 
.wincalc-options>div>label:before {
    content: '';
    display: block;
    position: absolute;
    height: 4px;
    width: 4px;
	border: 3px solid #eee;
    left: 0;
    top: 10px;
	transform: rotate(45deg);
}
.wincalc-type2-selector .wincalc-type2-group input:checked+label:before,
.wincalc-options>div>input:checked+label:before {
	border-color: #FFC930;
}
.wincalc-size-selector input {
	width: 100%;
	padding: 8px 20px;
	margin-top: 10px;
	padding-right: 30px;
	font-size: 24px;
}
.wincalc-size-selector>div>div {
	position: relative;
}
.wincalc-size-selector >div>div:before {
	content: 'мм';
	position: absolute;
	font-size: 16px;
	color: #aaa;
	right: 20px;
	bottom: 15px;
}
.block-items-wrapper {
    display: flex;
	justify-content: space-between;
    width: 100%;
}
.block-items-wrapper>div {
	padding: 0;
	font-size: 14px;
	width: 48%;
}
.wincalc-options {
    display: flex;
    flex-wrap: wrap;
	font-weight: normal;
	font-size: 14px;	
	border: 1px solid #ccc;
	padding: 0 15px 5px;	
    margin-top: 10px;
}
.wincalc-options input {
	display: none;
}
.block-items-float {
	width: 50%;
	margin-bottom: 5px;
}
.block-items-clear {
	width: 100%;
}
.block-items-clear>span,
.block-items-float>span {
	color: #aaa;
	padding-left: 25px;
}
.wincalc-price {
	flex-basis: 100%;
    text-align: center;
    font-size: 18px;
    font-weight: bold;;	
}
.wincalc-price-value {
	font-size: 40px;
}
/* Адаптация */
@media screen and (max-width:1024px) {
	.wincalc-main-window-container {
		margin-left: 25px;
	}
	.wincalc-constuction-container {
		margin-left: 0;
	}
	.meter_vertical {
		left: -140px;
	}
	.wincalc-group-selector {
		width: 250px;
	}
	.wincalc-main-window {
		width: calc(100% - 390px);
	}
	.wincalc-type2-selector>div>label, 
	.wincalc-options>div>label,
	.block-items-clear>span, 
	.block-items-float>span {
		padding-left: 17px;
	}	
}
@media screen and (max-width:767px) {
	.wincalc-type-selector {
		width: 100%;
		margin-bottom: 20px;
	}
	.wincalc-type-selector-one {
		float: left;
		width: 24%;
		height: 124px;
		padding: 10px 0;
		margin-right: 1%;
	}
	.wincalc-type-selector-one-selected:after,
	.meter_vertical,
	.meter_horisontal {
		display: none;
	}	
	.wincalc-main-window {
		width: 100%;
		margin-top: 0;
	}
	.wincalc-main-window-container {
		margin-left: 0;
		width: 100%;
	}
	
	.wincalc-constuction {
		padding-left: 0;
	}
	.wincalc-group-selector {
		width: 330px;
		margin: auto;
	}	
	.wincalc-type2-selector .wincalc-type2-group {
		display: block;
		padding: 15px 30px;
		height: auto;
	}	
	.wincalc-options {
		font-size: 16px;
		padding: 10px 15px 15px;
		margin-top: 20px;
	}	
	.wincalc-price {
		margin-top: 20px;
	}	
}
@media screen and (max-width:480px) {
	.wincalc-type-selector {
		margin-bottom: -20px;
	}	
	.wincalc-type-selector-one {
		width: 47%;
		margin: 1.5%;
		padding: 10px;
	}	
	.wincalc-main-window {
		transform: scale(.72);
		margin-bottom: -30px;
	}
	.wincalc-type2-selector, 
	.wincalc-options, 
	.wincalc-size-selector {
		width: 100%;
		margin-left: 0;
	}	
}